# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Classes**

* [`motd`](#motd): This is a simple class that manages /etc/motd using
puppetlabs-concat

**Defined types**

* [`motd::fragment`](#motdfragment): Defined type to add fragments to /etc/motd

## Classes

### motd

Copyright 2014 Federico Voges, unless otherwise noted.

#### Examples

##### Simple example

```puppet

class { 'motd':
  motd_local_enabled => false,
  add_puppet_warning => true,
}
```

#### Parameters

The following parameters are available in the `motd` class.

##### `motd_file`

Data type: `Stdlib::Unixpath`

Absolute path to MOTD file

Default value: '/etc/motd'

##### `motd_local_enabled`

Data type: `Boolean`

If true, Puppet will append the contents of /etc/motd.local.
The contents of /etc/motd.local are not managed by Puppet

Default value: `true`

##### `add_puppet_warning`

Data type: `Boolean`

Adds a warning to the top of the MOTD ("${trusted['certname']}
is managed by Puppet")

Default value: `false`

## Defined types

### motd::fragment

Defined type to add fragments to /etc/motd

#### Examples

##### Simple example

```puppet
class { 'motd':
   motd_local_enabled => false,
   add_puppet_warning => true,
 }

 motd::fragment { 'extra motd':
   content => "This will be addded to /etc/motd\n",
 }

 motd::fragment { 'extra motd from template':
   content => template('some/template.erb'),
 }
```

#### Parameters

The following parameters are available in the `motd::fragment` defined type.

##### `content`

Data type: `Optional[String]`

Content of the fragment

Default value: `undef`

##### `source`

Data type: `Optional[String]`

Source of the fragment

Default value: `undef`

##### `order`

Data type: `Variant[String,Integer]`

By default all files gets a 10_ prefix in the directory you can set it to
anything else using this to influence the order of the content in the file

Default value: '10'

